[워드프레스] 테마 편집기 : 변경 하기 전에 이 파일을 쓸 수 있게 만들 필요가 있습니다 오류 해결방법

변경 하기 전에 이 파일을 쓸 수 있게 만들 필요가 있습니다. 파일 권한 변경의 더 많은 정보를 보세요. 오류를 해결하는 방법입니다. 해당 오류는 주로 테마 편집기에서 코드를 직접 편집하려고 할 때 나타나는 오류입니다.

[toc]

테마 편집기 변경 하기 전에 이 파일을 쓸 수 있게 만들 필요가 있습니다 오류 해결

SFTP, SSH로 테마 폴더 권한 확인

SFTP 접속으로 해결

wordpress/wp-content/themes 폴더로 접속하면 권한을 확인할 수 있습니다.

문제되는 차일드 테마 하나만 권한이 다른 것을 확인할 수가 있습니다.

해당 폴더를 우클릭합니다.

파일 권한을 아래와 같이 변경해줍니다.

확인을 누르면 해당 오류가 해결됩니다.

SSH 접속으로 해결

#themes 디렉토리에 진입합니다.

cd

#자식 테마 권한 변경

sudo chmod -R 777 /var/www/html/wordpress/wp-content/themes/generatepress-child
Code language: JavaScript (javascript)

#권한 변경 확인

cd /var/www/html/wordpress/wp-content/themes
Code language: JavaScript (javascript)
ls -l

권한이 동일한지 확인합니다.

소유자/그룹이 다를 경우

generatepress 테마의 자식 테마를 만들 것이므로 동일하게 변경해주면 됩니다. 부모 테마는 소유자와 그룹이 모두 www-data입니다. 아래 코드를 입력합니다.

#소유자 변경

chown -R www-data:www-data generatepress-child
Code language: CSS (css)

다시 테마 편집기에 접속하면 ‘변경 하기 전에 이 파일을 쓸 수 있게 만들 필요가 있습니다. 파일 권한 변경의 더 많은 정보를 보세요. 오류를 해결하는 방법입니다. 해당 오류는 주로 테마 편집기에서 코드를 직접 편집하려고 할 때 나타나는 오류입니다.’ 오류가 해결되었을 것입니다.


댓글 남기기

%d 블로거가 이것을 좋아합니다: